Skip to main content
GET
/
clips
List videos
curl --request GET \
  --url https://api.cut.pro/api/v1/clips \
  --header 'X-Api-Key: <api-key>'
{
  "videos": [
    {
      "id": "<string>",
      "title": "<string>",
      "author": "<string>",
      "platform": "<string>",
      "duration": 123,
      "thumbnail_url": "<string>",
      "video_url": "<string>",
      "clips_count": 123,
      "edited_count": 123,
      "exported_count": 123,
      "posted_count": 123,
      "submissions_count": 123,
      "last_submission": {
        "status": "queued",
        "error_code": "download_failed",
        "estimated_time": 123,
        "queue_position": 123,
        "is_priority": true,
        "created_at": "<string>",
        "completed_at": "<string>"
      }
    }
  ],
  "pagination": {
    "current_page": 123,
    "total_pages": 123,
    "total_count": 123,
    "has_next_page": true,
    "has_previous_page": true,
    "limit": 123
  }
}

Authorizations

X-Api-Key
string
header
required

Query Parameters

page
number

Page number (default: 1)

Required range: x >= 1
limit
number

Items per page (default: 12, max: 100)

Required range: 1 <= x <= 100
sort
enum<string>
Available options:
recent,
oldest,
title,
title-desc

Response

200 - application/json

Response for status 200

videos
object[]
required
pagination
object
required
Last modified on April 16, 2026